org.eclipse.microprofile.openapi.tck

## Class ModelReaderAppTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.AppTestBase
    - - org.eclipse.microprofile.openapi.tck.ModelReaderAppTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ModelReaderAppTest
    extends AppTestBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ModelReaderAppTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testAPIResponse(String type)`
`void` `testAvailabilityGetParameter(String type)`
`void` `testComponents(String type)`
`void` `testContact(String type)`
`void` `testContentInAPIResponse(String type)`
`void` `testExampleObject(String type)`
`void` `testExternalDocumentation(String type)`
`void` `testHeaderInComponents(String type)`
`void` `testInfo(String type)`
`void` `testLicense(String type)`
`void` `testOperationAirlinesResource(String type)`
`void` `testOperationAvailabilityResource(String type)`
`void` `testOperationBookingResource(String type)`
`void` `testSchema(String type)`
`void` `testSecurityRequirement(String type)`
`void` `testSecurityScheme(String type)`
`void` `testSecuritySchemes(String type)`
`void` `testServer(String type)`
`void` `testTagDeclarations(String type)`
`void` `testTagsInOperations(String type)`
`void` `testVersion(String type)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, configureRestAssured, dereference, provide`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelReaderAppTest

    public ModelReaderAppTest()

### Method Detail

#### createDeployment

    @Deployment(name="airlinesModelReader")
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testVersion

    @RunAsClient
    public void testVersion(String type)

#### testInfo

    @RunAsClient
    public void testInfo(String type)

#### testContact

    @RunAsClient
    public void testContact(String type)

#### testLicense

    @RunAsClient
    public void testLicense(String type)

#### testExternalDocumentation

    @RunAsClient
    public void testExternalDocumentation(String type)

#### testServer

    @RunAsClient
    public void testServer(String type)

#### testOperationAirlinesResource

    @RunAsClient
    public void testOperationAirlinesResource(String type)

#### testOperationAvailabilityResource

    @RunAsClient
    public void testOperationAvailabilityResource(String type)

#### testOperationBookingResource

    @RunAsClient
    public void testOperationBookingResource(String type)

#### testAPIResponse

    @RunAsClient
    public void testAPIResponse(String type)

#### testAvailabilityGetParameter

    @RunAsClient
    public void testAvailabilityGetParameter(String type)

#### testSecurityRequirement

    @RunAsClient
    public void testSecurityRequirement(String type)

#### testSecuritySchemes

    @RunAsClient
    public void testSecuritySchemes(String type)

#### testSecurityScheme

    @RunAsClient
    public void testSecurityScheme(String type)

#### testSchema

    @RunAsClient
    public void testSchema(String type)

#### testExampleObject

    @RunAsClient
    public void testExampleObject(String type)

#### testTagDeclarations

    @RunAsClient
    public void testTagDeclarations(String type)

#### testTagsInOperations

    @RunAsClient
    public void testTagsInOperations(String type)

#### testComponents

    @RunAsClient
    public void testComponents(String type)

#### testHeaderInComponents

    @RunAsClient
    public void testHeaderInComponents(String type)

#### testContentInAPIResponse

    @RunAsClient
    public void testContentInAPIResponse(String type)